// 浏览器定位
export function geoLocation() {
  return new Promise((resovle, reject) => {
    const geolocation = new window.AMap.Geolocation({
      // 是否使用高精度定位，默认：true
      enableHighAccuracy: true,
      // 设置定位超时时间，默认：无穷大
      timeout: 10000,
      // 定位按钮的停靠位置的偏移量，默认：Pixel(10, 20)
      buttonOffset: new window.AMap.Pixel(10, 20),
      //  定位成功后调整地图视野范围使定位位置及精度范围视野内可见，默认：false
      zoomToAccuracy: true,
      //  定位按钮的排放位置,  RB表示右下
      buttonPosition: 'RB'
    })

    geolocation.getCurrentPosition((status, result) => {
      if (status === 'complete') {
        resovle(result.position)
      } else {
        reject(result.message)
      }
    })
  })
}

export function geoCoder(address) {
  return new Promise((resolve, reject) => {
    const geocoder = new window.AMap.Geocoder({
      // city 指定进行编码查询的城市，支持传入城市名、adcode 和 citycode
      city: '全国'
    })
    console.log(geocoder)
    geocoder.getLocation(address, function(status, result) {
      if (status === 'complete' && result.info === 'OK') {
        resolve(result)
      } else {
        reject(false)
      }
    })
  })
}

export default {
  key: 'ed0e0c030a16414f2a07cfbe350cb14a', // 申请好的Web端开发者Key，首次调用 load 时必填
  version: '2.0', // 指定要加载的 JSAPI 的版本，缺省时默认为 1.4.15
  plugins: ['AMap.Geolocation', 'AMap.Geocoder', 'AMap.ToolBar', 'AMap.HawkEye', 'AMap.MapType'], // 需要使用的的插件列表，如比例尺'AMap.Scale'等
  AMapUI: {
    // 是否加载 AMapUI，缺省不加载
    version: '1.1', // AMapUI 版本
    plugins: ['overlay/SimpleMarker'] // 需要加载的 AMapUI ui插件
  },
  Loca: {
    // 是否加载 Loca， 缺省不加载
    version: '2.0' // Loca 版本
  }
}
